OpenNMS API 1.2.9

## org.opennms.netmgt.config.service
Class Service

    java.lang.Object
      org.opennms.netmgt.config.service.Service

All Implemented Interfaces:
  java.io.Serializable

public class Service
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_attributeList`
`private java.lang.String` `_className`
`private java.util.ArrayList` `_invokeList`
`private java.lang.String` `_name`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Service()`

Method Summary
`void` `addAttribute(Attribute vAttribute)`
`void` `addAttribute(int index, Attribute vAttribute)`
`void` `addInvoke(int index, Invoke vInvoke)`
`void` `addInvoke(Invoke vInvoke)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearAttribute()`
`void` `clearInvoke()`
`java.util.Enumeration` `enumerateAttribute()`
`java.util.Enumeration` `enumerateInvoke()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Attribute[]` `getAttribute()`
`Attribute` `getAttribute(int index)`
`java.util.Collection` `getAttributeCollection()`
`int` `getAttributeCount()`
`java.lang.String` `getClassName()` Returns the value of field 'className'.
`Invoke[]` `getInvoke()`
`Invoke` `getInvoke(int index)`
`java.util.Collection` `getInvokeCollection()`
`int` `getInvokeCount()`
`java.lang.String` `getName()` Returns the value of field 'name'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeAttribute(Attribute vAttribute)`
`boolean` `removeInvoke(Invoke vInvoke)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setAttribute(Attribute[] attributeArray)`
`void` `setAttribute(int index, Attribute vAttribute)`
`void` `setAttributeCollection(java.util.Collection vAttribute)`
`void` `setClassName(java.lang.String className)` Sets the value of field 'className'.
`void` `setInvoke(int index, Invoke vInvoke)`
`void` `setInvoke(Invoke[] invokeArray)`
`void` `setInvokeCollection(java.util.Collection vInvoke)`
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`static Service` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _className

    private java.lang.String _className

### _attributeList

    private java.util.ArrayList _attributeList

### _invokeList

    private java.util.ArrayList _invokeList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Service

    public Service()

Method Detail

### addAttribute

    public void addAttribute(Attribute vAttribute)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vAttribute` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addAttribute

    public void addAttribute(int index,
                             Attribute vAttribute)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAttribute` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addInvoke

    public void addInvoke(Invoke vInvoke)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vInvoke` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addInvoke

    public void addInvoke(int index,
                          Invoke vInvoke)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vInvoke` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearAttribute

    public void clearAttribute()

### clearInvoke

    public void clearInvoke()

### enumerateAttribute

    public java.util.Enumeration enumerateAttribute()

### enumerateInvoke

    public java.util.Enumeration enumerateInvoke()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAttribute

    public Attribute getAttribute(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAttribute

    public Attribute[] getAttribute()

### getAttributeCollection

    public java.util.Collection getAttributeCollection()

### getAttributeCount

    public int getAttributeCount()

### getClassName

    public java.lang.String getClassName()

  Returns the value of field 'className'.

  Returns:
    the value of field 'className'.

### getInvoke

    public Invoke getInvoke(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getInvoke

    public Invoke[] getInvoke()

### getInvokeCollection

    public java.util.Collection getInvokeCollection()

### getInvokeCount

    public int getInvokeCount()

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeAttribute

    public boolean removeAttribute(Attribute vAttribute)

  Parameters:
    `vAttribute` -

### removeInvoke

    public boolean removeInvoke(Invoke vInvoke)

  Parameters:
    `vInvoke` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setAttribute

    public void setAttribute(int index,
                             Attribute vAttribute)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAttribute` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setAttribute

    public void setAttribute(Attribute[] attributeArray)

  Parameters:
    `attributeArray` -

### setAttributeCollection

    public void setAttributeCollection(java.util.Collection vAttribute)

  Parameters:
    `vAttribute` -

### setClassName

    public void setClassName(java.lang.String className)

  Sets the value of field 'className'.

  Parameters:
    `className` - the value of field 'className'.

### setInvoke

    public void setInvoke(int index,
                          Invoke vInvoke)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vInvoke` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setInvoke

    public void setInvoke(Invoke[] invokeArray)

  Parameters:
    `invokeArray` -

### setInvokeCollection

    public void setInvokeCollection(java.util.Collection vInvoke)

  Parameters:
    `vInvoke` -

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### unmarshal

    public static Service unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.